%define name perl-Mail-Sendmail
%define realname Mail-Sendmail
%define version 0.78
%define release 1mdk

Name:		%{name}
Summary:	Simple platform-independent mailer
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Distribution:	Mandrake Linux
URL:		http://www.cpan.org
Source:		http://www.cpan.org/authors/id/M/MI/MIVKOVIC/%{realname}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
BuildArch:	noarch
Requires:	perl >= 5.600


%description
Mail-Sendmail is a Perl module for sending mail through a sendmail SMTP
server.


%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc Changes README Todo
#%{_prefix}/lib/perl5/site_perl/5.6.0/i386-linux/auto/Mail/Sendmail/.packlist
%{_libdir}/perl5/site_perl/*/Mail/Sendmail.pm
%{_libdir}/perl5/man/man3/Mail::Sendmail.3*

%changelog
* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.78-1mdk
- Added a Require.
- 0.78
- Clean up spec.
- Added the full URL for Source.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.77-4mdk
- Rebuild for the latset perl.
- Remove hardcoded perl version in filelist stupidity.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.77-3mdk
- BuildArch: noarch
- add docs
- rename spec file and fix permission
- clean up spec a bit

* Mon Sep 18 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.77-2mdk
- recompile for perl 5.600

* Tue Mar 7 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.77-1mdk
- initial specfile
- bzip sources
